package com.jpsoft.picc.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;

/**
  描述:base_insurance_definition的实体类
 */
@ApiModel(value = "base_insurance_definition的实体类")
public class InsuranceDefinition {
    @ApiModelProperty(value = "编号")
	private String id;
    @ApiModelProperty(value = "险种")
	private String name;
    @ApiModelProperty(value = "投保声明")
	private String insuranceDescription;
    @ApiModelProperty(value = "雇主责任险条款")
	private String clause;
    @ApiModelProperty(value = "状态")
	private String status;
    @ApiModelProperty(value = "是否删除")
	private Boolean delFlag;
    @ApiModelProperty(value = "创建人")
	private String createBy;
    @ApiModelProperty(value = "创建时间")
	private Date createTime;
    @ApiModelProperty(value = "修改人")
	private String updateBy;
    @ApiModelProperty(value = "修改时间")
	private Date updateTime;
    private List<InsuranceDefinitionLimit> limits;

    /**
	 *获取编号
	 */
    	public String getId(){
		return id;
	}
	
	/**
	 *设置编号
	 */
	public void setId(String id){
		this.id = id;
	}

	/**
	 *获取险种
	 */
    	public String getName(){
		return name;
	}
	
	/**
	 *设置险种
	 */
	public void setName(String name){
		this.name = name;
	}
	/**
	 *获取投保声明
	 */
    	public String getInsuranceDescription(){
		return insuranceDescription;
	}
	
	/**
	 *设置投保声明
	 */
	public void setInsuranceDescription(String insuranceDescription){
		this.insuranceDescription = insuranceDescription;
	}

	/**
	 *获取雇主责任险条款
	 */
    	public String getClause(){
		return clause;
	}
	
	/**
	 *设置雇主责任险条款
	 */
	public void setClause(String clause){
		this.clause = clause;
	}

	/**
	 *获取状态
	 */
    	public String getStatus(){
		return status;
	}
	
	/**
	 *设置状态
	 */
	public void setStatus(String status){
		this.status = status;
	}

	/**
	 *获取是否删除
	 */
    	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}

	/**
	 *获取创建人
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
	/**
	 *获取创建时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}

	/**
	 *获取修改人
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置修改人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
	/**
	 *获取修改时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置修改时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}

	public List<InsuranceDefinitionLimit> getLimits(){
		return limits;
	}
	public void setLimits(List<InsuranceDefinitionLimit> id){
		this.limits = limits;
	}
}