package com.jpsoft.picc.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;

/**
  描述:base_transaction_record的实体类
 */
@ApiModel(value = "base_transaction_record的实体类")
public class TransactionRecord {
    @ApiModelProperty(value = "ID")
	private String id;
    @ApiModelProperty(value = "企业ID")
	private String companyId;
    @ApiModelProperty(value = "交易号")
	private String transactionNumber;
    @ApiModelProperty(value = "交易金额")
	private BigDecimal amount;
    @ApiModelProperty(value = "订单号")
	private String orderNo;
    @ApiModelProperty(value = "支付状态")
	private String paymentStatus;
    @ApiModelProperty(value = "支付类型")
	private String buyType;
    @ApiModelProperty(value = "支付时间")
	private Date paymentTime;
    @ApiModelProperty(value = "创建人")
	private String createBy;
    @ApiModelProperty(value = "创建时间")
	private Date createTime;
    @ApiModelProperty(value = "更新人")
	private String updateBy;
    @ApiModelProperty(value = "更新时间")
	private Date updateTime;
    @ApiModelProperty(value = "是否删除")
	private Boolean delFlag;

	/**
	 *获取ID
	 */
    	public String getId(){
		return id;
	}
	
	/**
	 *设置ID
	 */
	public void setId(String id){
		this.id = id;
	}
	/**
	 *获取企业ID
	 */
    	public String getCompanyId(){
		return companyId;
	}
	
	/**
	 *设置企业ID
	 */
	public void setCompanyId(String companyId){
		this.companyId = companyId;
	}
	/**
	 *获取交易号
	 */
    	public String getTransactionNumber(){
		return transactionNumber;
	}
	
	/**
	 *设置交易号
	 */
	public void setTransactionNumber(String transactionNumber){
		this.transactionNumber = transactionNumber;
	}
	/**
	 *获取交易金额
	 */
    	public BigDecimal getAmount(){
		return amount;
	}
	
	/**
	 *设置交易金额
	 */
	public void setAmount(BigDecimal amount){
		this.amount = amount;
	}
	/**
	 *获取订单号
	 */
    	public String getOrderNo(){
		return orderNo;
	}
	
	/**
	 *设置订单号
	 */
	public void setOrderNo(String orderNo){
		this.orderNo = orderNo;
	}
	/**
	 *获取支付状态
	 */
    	public String getPaymentStatus(){
		return paymentStatus;
	}
	
	/**
	 *设置支付状态
	 */
	public void setPaymentStatus(String paymentStatus){
		this.paymentStatus = paymentStatus;
	}
	/**
	 *获取支付类型
	 */
    	public String getBuyType(){
		return buyType;
	}
	
	/**
	 *设置支付类型
	 */
	public void setBuyType(String buyType){
		this.buyType = buyType;
	}
	/**
	 *获取支付时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		public Date getPaymentTime(){
		return paymentTime;
	}
	
	/**
	 *设置支付时间
	 */
	public void setPaymentTime(Date paymentTime){
		this.paymentTime = paymentTime;
	}
	/**
	 *获取创建人
	 */
    	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
	/**
	 *获取创建时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
	/**
	 *获取更新人
	 */
    	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置更新人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
	/**
	 *获取更新时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置更新时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
	/**
	 *获取是否删除
	 */
    	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
}