package com.jpsoft.picc.modules.base.service.impl;

import java.util.List;
import java.util.Map;
import java.util.UUID;
import javax.annotation.Resource;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import com.jpsoft.picc.modules.base.dao.MessageDAO;
import com.jpsoft.picc.modules.base.entity.Message;
import com.jpsoft.picc.modules.base.service.MessageService;
import com.github.pagehelper.Page;
import com.jpsoft.picc.modules.common.dto.Sort;
import com.github.pagehelper.PageHelper;

@Transactional
@Component(value="messageService")
public class MessageServiceImpl implements MessageService {
	@Resource(name="messageDAO")
	private MessageDAO messageDAO;

	@Override
	public Message get(String id) {
		// TODO Auto-generated method stub
		return messageDAO.get(id);
	}

	@Override
	public int insert(Message model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());
		
		return messageDAO.insert(model);
	}

	@Override
	public int update(Message model) {
		// TODO Auto-generated method stub
		return messageDAO.update(model);		
	}

	@Override
	public int delete(String id) {
		// TODO Auto-generated method stub
		return messageDAO.delete(id);
	}

	@Override
	public boolean exist(String id) {
		// TODO Auto-generated method stub
		int count = messageDAO.exist(id);
		
		return count > 0 ? true : false;
	}
	
	@Override
	public List<Message> list() {
		// TODO Auto-generated method stub
		return messageDAO.list();
	}

	@Override
	public List<Message> findByRecipientId(String recipientId){
		return messageDAO.findByRecipientId(recipientId);
	}
		
	@Override
	public Page<Message> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,List<Sort> sortList) {
        Page<Message> page = PageHelper.startPage(pageNumber,pageSize).doSelectPage(()->{
            messageDAO.search(searchParams,sortList);
        });
        
        return page;
	}
}