package com.jpsoft.picc.modules.business.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import com.jpsoft.picc.modules.common.constant.PolicyStatus;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;

/**
  描述:business_insurance_application的实体类
 */
@ApiModel(value = "business_insurance_application的实体类")
public class InsuranceApplication {
    @ApiModelProperty(value = "ID")
	private String id;
    @ApiModelProperty(value = "企业ID")
	private String companyId;
	@ApiModelProperty(value = "险种名称")
	private String definitionName;
    @ApiModelProperty(value = "保险种类")
	private String definitionId;
    @ApiModelProperty(value = "投保人姓名")
	private String insuredName;
    @ApiModelProperty(value = "联系电话")
	private String insuredTel;
    @ApiModelProperty(value = "企业名称")
	private String companyName;
    @ApiModelProperty(value = "组织机构代码证")
	private String usccCode;
    @ApiModelProperty(value = "营业范围")
	private String businessScope;
	@ApiModelProperty(value = "营业性质")
	private String businessNature;
    @ApiModelProperty(value = "行业类型")
	private String industryType;
    @ApiModelProperty(value = "联系电话")
	private String tel;
    @ApiModelProperty(value = "邮编")
	private String postal;
    @ApiModelProperty(value = "雇员人数")
	private Integer employeesNumber;
    @ApiModelProperty(value = "已投保人数")
	private Integer insuredNumber;
    @ApiModelProperty(value = "公司地址")
	private String companyAddress;
    @ApiModelProperty(value = "近三年损失情况")
	private String lossInRecentYears;
    @ApiModelProperty(value = "保障开始时间")
	private Date startTime;
    @ApiModelProperty(value = "保障结束时间")
	private Date endTime;
    @ApiModelProperty(value = "保险费合计(总金额)")
	private BigDecimal insuranceFee;
    @ApiModelProperty(value = "状态:草稿10/待初审20/待复审30/待缴费40/待制单50/待出单60/已出单70/已过期100")
	private String status;
	@ApiModelProperty(value = "状态:草稿10/待初审20/待复审30/待缴费40/待制单50/待出单60/已出单70/已过期100(翻译)")
	private String statusN;
    @ApiModelProperty(value = "流程审核状态:正常/回退等")
	private String processStatus;
    @ApiModelProperty(value = "创建人")
	private String createBy;
    @ApiModelProperty(value = "创建时间")
	private Date createTime;
    @ApiModelProperty(value = "更新人")
	private String updateBy;
    @ApiModelProperty(value = "更新时间")
	private Date updateTime;
    @ApiModelProperty(value = "是否删除")
	private Boolean delFlag;

	/**
	 *获取ID
	 */
    	public String getId(){
		return id;
	}
	
	/**
	 *设置ID
	 */
	public void setId(String id){
		this.id = id;
	}
	/**
	 *获取企业ID
	 */
    	public String getCompanyId(){
		return companyId;
	}
	
	/**
	 *设置企业ID
	 */
	public void setCompanyId(String companyId){
		this.companyId = companyId;
	}
	/**
	 *获取保险种类
	 */
    	public String getDefinitionId(){
		return definitionId;
	}
	
	/**
	 *设置保险种类
	 */
	public void setDefinitionId(String definitionId){
		this.definitionId = definitionId;
	}
	/**
	 *获取投保人姓名
	 */
    	public String getInsuredName(){
		return insuredName;
	}
	
	/**
	 *设置投保人姓名
	 */
	public void setInsuredName(String insuredName){
		this.insuredName = insuredName;
	}
	/**
	 *获取联系电话
	 */
    	public String getInsuredTel(){
		return insuredTel;
	}
	
	/**
	 *设置联系电话
	 */
	public void setInsuredTel(String insuredTel){
		this.insuredTel = insuredTel;
	}
	/**
	 *获取企业名称
	 */
    	public String getCompanyName(){
		return companyName;
	}
	
	/**
	 *设置企业名称
	 */
	public void setCompanyName(String companyName){
		this.companyName = companyName;
	}
	/**
	 *获取组织机构代码证
	 */
    	public String getUsccCode(){
		return usccCode;
	}
	
	/**
	 *设置组织机构代码证
	 */
	public void setUsccCode(String usccCode){
		this.usccCode = usccCode;
	}
	/**
	 *获取营业范围
	 */
    	public String getBusinessScope(){
		return businessScope;
	}
	
	/**
	 *设置营业范围
	 */
	public void setBusinessScope(String businessScope){
		this.businessScope = businessScope;
	}
	/**
	 *获取行业类型
	 */
    	public String getIndustryType(){
		return industryType;
	}
	
	/**
	 *设置行业类型
	 */
	public void setIndustryType(String industryType){
		this.industryType = industryType;
	}
	/**
	 *获取联系电话
	 */
    	public String getTel(){
		return tel;
	}
	
	/**
	 *设置联系电话
	 */
	public void setTel(String tel){
		this.tel = tel;
	}
	/**
	 *获取邮编
	 */
    	public String getPostal(){
		return postal;
	}
	
	/**
	 *设置邮编
	 */
	public void setPostal(String postal){
		this.postal = postal;
	}
	/**
	 *获取雇员人数
	 */
    	public Integer getEmployeesNumber(){
		return employeesNumber;
	}
	
	/**
	 *设置雇员人数
	 */
	public void setEmployeesNumber(Integer employeesNumber){
		this.employeesNumber = employeesNumber;
	}
	/**
	 *获取已投保人数
	 */
    	public Integer getInsuredNumber(){
		return insuredNumber;
	}
	
	/**
	 *设置已投保人数
	 */
	public void setInsuredNumber(Integer insuredNumber){
		this.insuredNumber = insuredNumber;
	}
	/**
	 *获取公司地址
	 */
    	public String getCompanyAddress(){
		return companyAddress;
	}
	
	/**
	 *设置公司地址
	 */
	public void setCompanyAddress(String companyAddress){
		this.companyAddress = companyAddress;
	}
	/**
	 *获取近三年损失情况
	 */
    	public String getLossInRecentYears(){
		return lossInRecentYears;
	}
	
	/**
	 *设置近三年损失情况
	 */
	public void setLossInRecentYears(String lossInRecentYears){
		this.lossInRecentYears = lossInRecentYears;
	}
	/**
	 *获取保障开始时间
	 */
	@DateTimeFormat(pattern="yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd",timezone ="GMT+8")
		public Date getStartTime(){
		return startTime;
	}
	
	/**
	 *设置保障开始时间
	 */
	public void setStartTime(Date startTime){
		this.startTime = startTime;
	}
	/**
	 *获取保障结束时间
	 */
	@DateTimeFormat(pattern="yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd",timezone ="GMT+8")
		public Date getEndTime(){
		return endTime;
	}
	
	/**
	 *设置保障结束时间
	 */
	public void setEndTime(Date endTime){
		this.endTime = endTime;
	}
	/**
	 *获取保险费合计(总金额)
	 */
    	public BigDecimal getInsuranceFee(){
		return insuranceFee;
	}
	
	/**
	 *设置保险费合计(总金额)
	 */
	public void setInsuranceFee(BigDecimal insuranceFee){
		this.insuranceFee = insuranceFee;
	}
	/**
	 *获取状态:草稿10/待初审20/待复审30/待缴费40/待制单50/待出单60/已出单70/已过期100
	 */
    	public String getStatus(){
		return status;
	}
	
	/**
	 *设置状态:草稿10/待初审20/待复审30/待缴费40/待制单50/待出单60/已出单70/已过期100
	 */
	public void setStatus(String status){
		this.status = status;
	}
	/**
	 *获取流程审核状态:正常/回退等
	 */
    	public String getProcessStatus(){
		return processStatus;
	}
	
	/**
	 *设置流程审核状态:正常/回退等
	 */
	public void setProcessStatus(String processStatus){
		this.processStatus = processStatus;
	}
	/**
	 *获取创建人
	 */
    	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
	/**
	 *获取创建时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
	/**
	 *获取更新人
	 */
    	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置更新人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
	/**
	 *获取更新时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置更新时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
	/**
	 *获取是否删除
	 */
    	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}

	/**
	 * 险种名称
	 * @return
	 */
	public String getDefinitionName() {
		return definitionName;
	}

	public void setDefinitionName(String definitionName) {
		this.definitionName = definitionName;
	}

	public String getBusinessNature() {
		return businessNature;
	}

	public void setBusinessNature(String businessNature) {
		this.businessNature = businessNature;
	}

	/**
	 * 状态翻译
	 * @return
	 */
	public String getStatusN() {
		String statusN = "";
		if(status.equals("10")){
			statusN = PolicyStatus.Draft.getText();
		}
		else if(status.equals("15")){
			statusN = PolicyStatus.Back.getText();
		}
		else if(status.equals("20")){
			statusN = PolicyStatus.PendingTrial.getText();
		}
		else if(status.equals("30")){
			statusN = PolicyStatus.PendingRetrial.getText();
		}
		else if(status.equals("40")){
			statusN = PolicyStatus.PendingPay.getText();
		}
		else if(status.equals("50")){
			statusN = PolicyStatus.PendingMakePolicy.getText();
		}
		else if(status.equals("60")){
			statusN = PolicyStatus.PendingOutPolicy.getText();
		}
		else if(status.equals("70")){
			statusN = PolicyStatus.SendOutPolicy.getText();
		}
		else{
			statusN = PolicyStatus.Expired.getText();
		}
		return statusN;
	}

	public void setStatusN(String statusN){
		this.statusN = statusN;
	}



}