package com.jpsoft.picc.modules.business.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jpsoft.picc.modules.base.entity.CompanyMember;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 描述:business_insurance_policy_member的实体类
 */
@ApiModel(value = "business_insurance_policy_member的实体类")
public class InsurancePolicyMember {
    private String id;
    private String policyId;
    private String memberId;
    private String replaceMemberId;
    private String status;
    private Boolean isAdd;
    private Boolean delFlag;
    private String createBy;
    private Date createTime;
    private String updateBy;
    private Date updateTime;
    private CompanyMember companyMember;

    /**
     * 获取编号
     */
    @ApiModelProperty(value = "编号")
    public String getId() {
        return id;
    }

    /**
     * 设置编号
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取每月投保单ID
     */
    @ApiModelProperty(value = "每月投保单ID")
    public String getPolicyId() {
        return policyId;
    }

    /**
     * 设置每月投保单ID
     */
    public void setPolicyId(String policyId) {
        this.policyId = policyId;
    }

    /**
     * 获取企业用户ID
     */
    @ApiModelProperty(value = "企业用户ID")
    public String getMemberId() {
        return memberId;
    }

    /**
     * 设置企业用户ID
     */
    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    /**
     * 获取审核状态
     */
    @ApiModelProperty(value = "审核状态")
    public String getStatus() {
        return status;
    }

    /**
     * 设置审核状态
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 获取是否为增补
     */
    @ApiModelProperty(value = "是否为增补")
    public Boolean getIsAdd() {
        return isAdd;
    }

    /**
     * 设置是否为增补
     */
    public void setIsAdd(Boolean isAdd) {
        this.isAdd = isAdd;
    }

    /**
     * 获取是否删除
     */
    @ApiModelProperty(value = "是否删除")
    public Boolean getDelFlag() {
        return delFlag;
    }

    /**
     * 设置是否删除
     */
    public void setDelFlag(Boolean delFlag) {
        this.delFlag = delFlag;
    }

    /**
     * 获取创建人
     */
    @ApiModelProperty(value = "创建人")
    public String getCreateBy() {
        return createBy;
    }

    /**
     * 设置创建人
     */
    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    /**
     * 获取创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 设置创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取修改人
     */
    @ApiModelProperty(value = "修改人")
    public String getUpdateBy() {
        return updateBy;
    }

    /**
     * 设置修改人
     */
    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    /**
     * 获取修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 设置修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     *获取企业人员
     */
    public CompanyMember getCompanyMember(){
        return companyMember;
    }

    /**
     *设置企业人员
     */
    public void setCompanyMember(CompanyMember companyMember){
        this.companyMember = companyMember;
    }

    @ApiModelProperty(value = "被替换的用户ID")
    public String getReplaceMemberId() {
        return replaceMemberId;
    }

    public void setReplaceMemberId(String replaceMemberId) {
        this.replaceMemberId = replaceMemberId;
    }
}