package com.jpsoft.picc.modules.auth.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel(value = "企业信息")
public class InsuranceApplicationDTO {
    @ApiModelProperty(value = "投保单编号")
    private String applicationId;
    @ApiModelProperty(value = "企业ID")
    private String companyId;
    @ApiModelProperty(value = "保险种类")
    private String definitionId;
    @ApiModelProperty(value = "投保人姓名")
    private String insuredName;
    @ApiModelProperty(value = "联系电话")
    private String insuredTel;
    @ApiModelProperty(value = "企业名称")
    private String companyName;
    @ApiModelProperty(value = "营业性质")
    private String businessNature;
    @ApiModelProperty(value = "组织机构代码证")
    private String usccCode;
    @ApiModelProperty(value = "营业范围")
    private String businessScope;
    @ApiModelProperty(value = "行业类型")
    private String industryType;
    @ApiModelProperty(value = "联系电话")
    private String tel;
    @ApiModelProperty(value = "邮编")
    private String postal;
    @ApiModelProperty(value = "雇员人数")
    private Integer employeesNumber;
    @ApiModelProperty(value = "已投保人数")
    private Integer insuredNumber;
    @ApiModelProperty(value = "公司地址")
    private String companyAddress;
    @ApiModelProperty(value = "近三年损失情况")
    private String lossInRecentYears;

    @ApiModelProperty(value = "保障开始时间",required = true)
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone ="GMT+8")
    private Date startTime;

    @ApiModelProperty(value = "保障月份数量",required = true)
    private Integer monthNumber;
    @ApiModelProperty(value = "状态:草稿10/待初审20/待复审30/待缴费40/待制单50/待出单60/已出单70/已过期100")
    private String status;
    @ApiModelProperty(value = "流程审核状态:正常/回退等")
    private String processStatus;
    @ApiModelProperty(value = "每月投保单编号")
    private String policyId;
}
